#ifndef __GPIO_H__
#define __GPIO_H__

struct gpio {
    unsigned int pin;
    struct ftdi_dev *ftdi_dev;
};

int gpio_open(const struct gpio *gpio);
int gpio_close(const struct gpio *gpio);
int gpio_read(const struct gpio *gpio, unsigned int *value);
int gpio_write(const struct gpio *gpio, unsigned int value);
int gpio_toggle(const struct gpio *gpio);

#endif
